//####################################################
//#     This software released to the public domain  #
//#     without restrictions of any kind.            #
//####################################################

/* include file - eqn.h */

#define EQN_PID_NAME "fdi/eqn"

#define EQNCHSTATLEN 0x03d0
#define EQNCHSTATUS  0x03d1
#define EQNCHBUFSTAT 0x03d2 
#define EQNCHLOOPON  0x03d3
#define EQNCHLOOPOFF 0x03d4
#define EQNCHRESUME  0x03d5
#define EQNXSTATUS   0x03d8

#define EQNCHSTATUS_BYTES	(256 + 2 * sizeof(long) + 1)
	/* 256 bytes of register data,
	   receive byte count (long)
	   transmit byte count (long)
	   current control sigs (byte)
	*/

struct eqnchstatlen
{
  msg_t type;
  short unsigned zero[5];
};

struct eqnchstatlen_reply
{
  msg_t status;
  short unsigned len; 
  short unsigned zero[4];
};

struct eqnchstatus
{
  msg_t type;
  short int minor;
  short int major;
  short int zero[3];
};

struct eqnchstatus_reply
{
  msg_t status;
  short unsigned len; 
  unsigned char buf[512];  /* must be >= to "len" returned by eqnchstatlen */
};

struct receive_msg 
{
  struct _sysmsg_hdr hdr;
  struct _sysmsg_version_reply version;
};

union async_msg 
{
  msg_t type;
  msg_t status;
  struct _ser_reset reset;
  struct _ser_reset_reply reset_reply;
  struct _ser_query query;
  struct _ser_query_reply query_reply;
  struct eqnchstatlen chstatlen;
  struct eqnchstatlen_reply chstatlen_reply;
  struct eqnchstatus chstatus;
  struct eqnchstatus_reply chstatus_reply;
  struct receive_msg sys;
};

